license_plate_api_ireland
====================

A Dart package for looking up technical details on vehicles registered in ireland by their license plate

`license_plate_api_ireland` provides a simple way to find vehicle details from a license plate (registration number)
of a car registered in ireland

This requires a username and password, which is available for free from http://ie.carregistrationapi.com/
  
## Usage

A simple usage example:

```dart
import 'package:license_plate_api_ireland/license_plate_api_ireland.dart' as RegCheck;

void main(List<String> arguments) async {
  // Usage:
  // dart bin/main.dart *REGISTRATION* *USERNAME* *PASSWORD*
  // *USERNAME* and *PASSWORD* are available from http://ie.carregistrationapi.com/
  var vehicle = await RegCheck.LicensePlate(arguments[0],arguments[1],arguments[2]);
  print('Description: ${vehicle['Description']}');
 
}
```

which produces the following:

```shell script
Description: OPEL MOKKA SE

```

## Features and bugs

Please file feature requests and bugs via the website http://ie.carregistrationapi.com/
